Bug 23068 - Symbol `ospeed' has different size in shared object, consider re-linking
Symbol `ospeed' has different size in shared object, consider re-linking
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: ncurses (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-31 21:48 EST by Bill Crawford
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-31 21:50:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Crawford 2000-12-31 21:48:04 EST
[root@localhost linus-2.4.0-test13-pre7]# info
info: Symbol `ospeed' has different size in shared object, consider
re-linking
[root@localhost linus-2.4.0-test13-pre7]# ldd /usr/bin/info
        libncurses.so.5 => /usr/lib/libncurses.so.5 (0x40029000)
        libc.so.6 => /lib/libc.so.6 (0x4006b000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)
[root@localhost linus-2.4.0-test13-pre7]# nm /usr/lib/libncurses.so.5
nm: /usr/lib/libncurses.so.5: no symbols

Not sure quite where the fault lies, but ... binary incompatability rears
its ugly head.
This may bite people with any non-distro apps linked against this library.
Is this a change in ncurses to reflect a standard API ?
Comment 1 Bill Crawford 2000-12-31 21:50:21 EST
Forgot package versions:

[root@localhost linus-2.4.0-test13-pre7]# rpm -qf /usr/lib/libncurses.so.5.2
ncurses-5.2-2
[root@localhost linus-2.4.0-test13-pre7]# rpm -q info
info-4.0-17
Comment 2 Bernhard Rosenkraenzer 2001-01-01 05:54:13 EST
It was a bug in ncurses - A change without a real reason. We've reverted this
particular change in 5.2-3.

Note You need to log in before you can comment on or make changes to this bug.